is_nullary.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/detail/check.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IS_NULLARY(x) MSGPACK_PP_IS_NULLARY_I(x)
#define | MSGPACK_PP_IS_NULLARY_I(x) MSGPACK_PP_CHECK(x, MSGPACK_PP_IS_NULLARY_CHECK)
#define | MSGPACK_PP_IS_NULLARY_CHECK() 1
#define | MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_NULLARY_CHECK 0, MSGPACK_PP_NIL

## Macro Definition Documentation

## MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_NULLARY_CHECK

#define MSGPACK_PP_CHECK_RESULT_MSGPACK_PP_IS_NULLARY_CHECK 0, MSGPACK_PP_NIL

## MSGPACK_PP_IS_NULLARY

#define MSGPACK_PP_IS_NULLARY | ( |  | x | ) | MSGPACK_PP_IS_NULLARY_I(x)

## MSGPACK_PP_IS_NULLARY_CHECK

#define MSGPACK_PP_IS_NULLARY_CHECK | ( |  | ) | 1

## MSGPACK_PP_IS_NULLARY_I

#define MSGPACK_PP_IS_NULLARY_I | ( |  | x | ) | MSGPACK_PP_CHECK(x, MSGPACK_PP_IS_NULLARY_CHECK)